## ros-eloquent-rviz-default-plugins 7.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_default_plugins)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Tests currently only run on OS X @ OSRF jenkins
# Enable on Linux by providing a display, enable on Windows via EnableDisplayTests=True
option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")

if(DEFINED ENV{DISPLAY})
  set(DISPLAYPRESENT TRUE)
endif()

if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "True")
  message(STATUS "Enabling tests requiring a display")
else()
  set(SKIP_DISPLAY_TESTS "SKIP_TEST")
endif()

# options and directories for visual tests (see visual_testing_framework documentation)
option(EnableVisualTests "decides whether or not to enable the tests")

add_definitions(-D_BUILD_DIR_PATH="${CMAKE_CURRENT_BINARY_DIR}")
add_definitions(-D_SRC_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}")

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/test_images)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test/reference_images)

# Run visual tests only if "EnableVisualTests=True"
if(EnableVisualTests STREQUAL "True")
  message(STATUS "Enabling visual tests")
else()
  set(SKIP_VISUAL_TESTS "SKIP_TEST")
endif()

if(MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
endif()

# Qt5 boilerplate options from http://doc.qt.io/qt-5/cmake-manual.html
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)

find_package(ament_cmake REQUIRED)

find_package(rviz_common REQUIRED)
find_package(rviz_rendering REQUIRED)
find_package(rviz_ogre_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets Test)

find_package(geometry_msgs REQUIRED)
find_package(interactive_markers REQUIRED)
find_package(laser_geometry REQUIRED)
find_package(map_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(resource_retriever REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(tinyxml_vendor REQUIRED)
find_package(TinyXML REQUIRED)  # provided by tinyxml_vendor
find_package(urdf REQUIRED)
find_package(visualization_msgs REQUIRED)

# These need to be added in the add_library() call so AUTOMOC detects them.
set(rviz_default_plugins_headers_to_moc
  include/rviz_default_plugins/displays/axes/axes_display.hpp
  include/rviz_default_plugins/displays/camera/camera_display.hpp
  include/rviz_default_plugins/displays/fluid_pressure/fluid_pressure_display.hpp
  include/rviz_default_plugins/displays/grid/grid_display.hpp
  include/rviz_default_plugins/displays/grid_cells/grid_cells_display.hpp
  include/rviz_default_plugins/displays/illuminance/illuminance_display.hpp
  include/rviz_default_plugins/displays/image/image_display.hpp
  include/rviz_default_plugins/displays/laser_scan/laser_scan_display.hpp
  include/rviz_default_plugins/displays/map/map_display.hpp
  include/rviz_default_plugins/displays/marker/marker_common.hpp
  include/rviz_default_plugins/displays/marker/marker_display.hpp
  include/rviz_default_plugins/displays/marker_array/marker_array_display.hpp
  include/rviz_default_plugins/displays/odometry/odometry_display.hpp
  include/rviz_default_plugins/transformation/transformer_guard.hpp
  include/rviz_default_plugins/displays/interactive_markers/integer_action.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker_control.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker_display.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker_namespace_property.hpp
  include/rviz_default_plugins/displays/path/path_display.hpp
  include/rviz_default_plugins/displays/point/point_stamped_display.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_common.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_display.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud2_display.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_transformer_factory.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_helpers.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_scalar_display.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/rgb8_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/rgbf32_pc_transformer.hpp
  include/rviz_default_plugins/displays/polygon/polygon_display.hpp
  include/rviz_default_plugins/displays/pose/pose_display.hpp
  include/rviz_default_plugins/displays/pose_array/pose_array_display.hpp
  include/rviz_default_plugins/displays/range/range_display.hpp
  include/rviz_default_plugins/displays/relative_humidity/relative_humidity_display.hpp
  include/rviz_default_plugins/displays/robot_model/robot_model_display.hpp
  include/rviz_default_plugins/displays/temperature/temperature_display.hpp
  include/rviz_default_plugins/displays/tf/frame_info.hpp
  include/rviz_default_plugins/displays/tf/tf_display.hpp
  include/rviz_default_plugins/displays/wrench/wrench_display.hpp
  include/rviz_default_plugins/robot/robot.hpp
  include/rviz_default_plugins/robot/robot_joint.hpp
  include/rviz_default_plugins/robot/robot_link.hpp
  include/rviz_default_plugins/robot/robot_element_base_class.hpp
  include/rviz_default_plugins/tools/measure/measure_tool.hpp
  include/rviz_default_plugins/tools/goal_pose/goal_tool.hpp
  include/rviz_default_plugins/tools/interaction/interaction_tool.hpp
  include/rviz_default_plugins/tools/pose/pose_tool.hpp
  include/rviz_default_plugins/tools/pose_estimate/initial_pose_tool.hpp
  include/rviz_default_plugins/tools/point/point_tool.hpp
  include/rviz_default_plugins/transformation/tf_frame_transformer.hpp
  include/rviz_default_plugins/transformation/tf_wrapper.hpp
  include/rviz_default_plugins/view_controllers/orbit/orbit_view_controller.hpp
  include/rviz_default_plugins/view_controllers/ortho/fixed_orientation_ortho_view_controller.hpp
  include/rviz_default_plugins/view_controllers/xy_orbit/xy_orbit_view_controller.hpp
)

set(rviz_default_plugins_source_files
  src/rviz_default_plugins/displays/axes/axes_display.cpp
  src/rviz_default_plugins/displays/camera/camera_display.cpp
  src/rviz_default_plugins/displays/grid/grid_display.cpp
  src/rviz_default_plugins/displays/grid_cells/grid_cells_display.cpp
  src/rviz_default_plugins/displays/fluid_pressure/fluid_pressure_display.cpp
  src/rviz_default_plugins/displays/illuminance/illuminance_display.cpp
  src/rviz_default_plugins/displays/image/image_display.cpp
  src/rviz_default_plugins/displays/image/ros_image_texture.cpp
  src/rviz_default_plugins/displays/interactive_markers/integer_action.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_control.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_display.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_namespace_property.cpp
  src/rviz_default_plugins/displays/laser_scan/laser_scan_display.cpp
  src/rviz_default_plugins/displays/map/map_display.cpp
  src/rviz_default_plugins/displays/map/palette_builder.cpp
  src/rviz_default_plugins/displays/map/swatch.cpp
  src/rviz_default_plugins/displays/marker/markers/arrow_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/line_list_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/line_marker_base.cpp
  src/rviz_default_plugins/displays/marker/markers/line_strip_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_base.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_selection_handler.cpp
  src/rviz_default_plugins/displays/marker/markers/mesh_resource_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/text_view_facing_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/points_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/shape_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/triangle_list_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_factory.cpp
  src/rviz_default_plugins/displays/marker/marker_common.cpp
  src/rviz_default_plugins/displays/marker/marker_display.cpp
  src/rviz_default_plugins/displays/marker_array/marker_array_display.cpp
  src/rviz_default_plugins/displays/odometry/odometry_display.cpp
  src/rviz_default_plugins/displays/path/path_display.cpp
  src/rviz_default_plugins/displays/point/point_stamped_display.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgb8_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgbf32_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/xyz_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_common.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_to_point_cloud2.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_transformer_factory.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_selection_handler.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_display.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud2_display.cpp
  src/rviz_default_plugins/displays/polygon/polygon_display.cpp
  src/rviz_default_plugins/displays/pose/pose_display.cpp
  src/rviz_default_plugins/displays/pose/pose_display_selection_handler.cpp
  src/rviz_default_plugins/displays/pose_array/pose_array_display.cpp
  src/rviz_default_plugins/displays/pose_array/flat_arrows_array.cpp
  src/rviz_default_plugins/displays/range/range_display.cpp
  src/rviz_default_plugins/displays/relative_humidity/relative_humidity_display.cpp
  src/rviz_default_plugins/displays/robot_model/robot_model_display.cpp
  src/rviz_default_plugins/displays/temperature/temperature_display.cpp
  src/rviz_default_plugins/displays/tf/frame_info.cpp
  src/rviz_default_plugins/displays/tf/frame_selection_handler.cpp
  src/rviz_default_plugins/displays/tf/tf_display.cpp
  src/rviz_default_plugins/displays/wrench/wrench_display.cpp
  src/rviz_default_plugins/robot/robot.cpp
  src/rviz_default_plugins/robot/robot_joint.cpp
  src/rviz_default_plugins/robot/robot_link.cpp
  src/rviz_default_plugins/robot/robot_element_base_class.cpp
  src/rviz_default_plugins/robot/tf_link_updater.cpp
  src/rviz_default_plugins/tools/interaction/interaction_tool.cpp
  src/rviz_default_plugins/tools/measure/measure_tool.cpp
  src/rviz_default_plugins/tools/focus/focus_tool.cpp
  src/rviz_default_plugins/tools/move/move_tool.cpp
  src/rviz_default_plugins/tools/goal_pose/goal_tool.cpp
  src/rviz_default_plugins/tools/pose/pose_tool.cpp
  src/rviz_default_plugins/tools/pose_estimate/initial_pose_tool.cpp
  src/rviz_default_plugins/tools/point/point_tool.cpp
  src/rviz_default_plugins/tools/select/selection_tool.cpp
  src/rviz_default_plugins/transformation/tf_frame_transformer.cpp
  src/rviz_default_plugins/transformation/tf_wrapper.cpp

=== debian/changelog ===
ros-eloquent-rviz-default-plugins (7.0.7-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 02 Dec 2020 00:00:00 -0000

ros-eloquent-rviz-default-plugins (7.0.6-1bionic) bionic; urgency=high

  * Update maintainer list (#618 <https://github.com/ros2/rviz/issues/618>)
  * Set clock type if Marker frame_locked is true (#482 <https://github.com/ros2/rviz/issues/482>) (#580 <https://github.com/ros2/rviz/issues/580>)
    Fixes #479 <https://github.com/ros2/rviz/issues/479>
  * Use dedicated TransformListener thread (#551 <https://github.com/ros2/rviz/issues/551>) (#581 <https://github.com/ros2/rviz/issues/581>)
  * Do not use assume every RenderPanel has a ViewController. (#613 <https://github.com/ros2/rviz/issues/613>) (#614 <https://github.com/ros2/rviz/issues/614>)
    Get the Viewport from its RenderWindow instead.
    Ensures interactive markers work (and do not make rviz crash)
    when interaction goes through a camera feed and not the main
    window.
  * Fix map display for moving TF frame (#483 <https://github.com/ros2/rviz/issues/483>) (#579 <https://github.com/ros2/rviz/issues/579>)
    Instead of the current time, use Time(0) to get the latest available transform as a fallback.
    This is the same logic that is applied in RViz from ROS 1.
    Resolves #332 <https://github.com/ros2/rviz/issues/332>
  * Contributors: Jacob Perron, Michael Jeronimo, Michel Hidalgo, ymd-stella

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 27 Oct 2020 00:00:00 -0000

ros-eloquent-rviz-default-plugins (7.0.5-1bionic) bionic; urgency=high

  * Allow the MapDisplay "Update Topic" to be changed. (#517 <https://github.com/ros2/rviz/issues/517>) (#518 <https://github.com/ros2/rviz/issues/518>)
  * Fix camera info for camera display (#419 <https://github.com/ros2/rviz/issues/419>) (#500 <https://github.com/ros2/rviz/issues/500>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Fri, 17 Apr 2020 00:00:00 -0000

ros-eloquent-rviz-default-plugins (7.0.4-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 17 Jan 2020 00:00:00 -0000

ros-eloquent-rviz-default-plugins (7.0.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-eloquent-rviz-default-plugins (7.0.2-1bionic) bionic; urgency=high

  * Use clock from context in markers (#472 <https://github.com/ros2/rviz/issues/472>)
  * Contributors: Martin Idel

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-eloquent-rviz-default-plugins (7.0.1-1bionic) bionic; urgency=high

  * Migrate Axes Display (#429 <https://github.com/ros2/rviz/issues/429>)
  * Contributors: Martin Idel

 -- William Woodall <william@osrfoundation.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-eloquent-rviz-default-plugins (7.0.0-1bionic) bionic; urgency=high

  * Introduce QoS property (#409 <https://github.com/ros2/rviz/issues/409>)
    A container of properties related to QoS settings. Replaces queue size and unreliable properties.
  * Rename interactive marker client enum (#465 <https://github.com/ros2/rviz/issues/465>)
  * Migrate InteractiveMarkerDisplay (#457 <https://github.com/ros2/rviz/issues/457>)
  * Fix map after upgrade (#459 <https://github.com/ros2/rviz/issues/459>)
  * Rename 2d Nav Goal to 2d Goal Pose (#455)
    
    Rename nav pose tool to goal pose tool
    
    Rename topic for goal pose tool from "move_base_simple/goal" to "goal_pose"
  * Do not select interactive markers when mousing over them (#451 <https://github.com/ros2/rviz/issues/451>)
  * Migrate Interaction Tool (#423 <https://github.com/ros2/rviz/issues/423>)
  * Upgrade from Ogre 1.10 to Ogre 1.12.1 (#394 <https://github.com/ros2/rviz/issues/394>)
  * Re-enable use of tf message filter (#375 <https://github.com/ros2/rviz/issues/375>)
  * Fix map display (#425 <https://github.com/ros2/rviz/issues/425>)
  * FrameTransformer implements tf2::BufferCoreInterface and tf2_ros::AsyncBufferInterface (#422 <https://github.com/ros2/rviz/issues/422>)
  * Disambiguate "estimate" pose from "goal" pose in log (#427 <https://github.com/ros2/rviz/issues/427>)
  * Mojave compatibility (#414 <https://github.com/ros2/rviz/issues/414>)
  * Use geometry_msgs types instead of custom types (#426 <https://github.com/ros2/rviz/issues/426>)
  * Remove -Werror from defualt compiler options (#420 <https://github.com/ros2/rviz/issues/420>)
  * Migrate Wrench Display (#396 <https://github.com/ros2/rviz/issues/396>)
  * Contributors: Dan Rose, Hunter L. Allen, Jacob Perron, Karsten Knese, Martin Idel, Shivesh Khaitan, Steven Macenski

 -- William Woodall <william@osrfoundation.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-eloquent-rviz-default-plugins (6.1.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 00:00:00 -0000

ros-eloquent-rviz-default-plugins (6.1.0-1bionic) bionic; urgency=high

  * Updated to use the new specification for types from the ROS node graph API. (#387 <https://github.com/ros2/rviz/issues/387>)
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 00:00:00 -0000

ros-eloquent-rviz-default-plugins (6.0.0-1bionic) bionic; urgency=high

  * Made changes to avoid newly deprecated API's related to publishers and subscriptions. (#399 <https://github.com/ros2/rviz/issues/399>)
  * Made changes to avoid newly deprecated API's related to publish calls that used ``shared_ptr``. signature (#398 <https://github.com/ros2/rviz/issues/398>)
  * Changed to use the ``ament_include_directories_order`` macro to ensure header include path ordering is correct. (#384 <https://github.com/ros2/rviz/issues/384>)
  * Made changes to fix interoperability with ``robot_state_publisher``. #14 <https://github.com/ros2/rviz/issues/14> (#378 <https://github.com/ros2/rviz/issues/378>)


=== debian/control ===
Source: ros-eloquent-rviz-default-plugins
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-cppcheck, ros-eloquent-ament-cmake-cpplint, ros-eloquent-ament-cmake-gmock, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-lint-cmake, ros-eloquent-ament-cmake-uncrustify, ros-eloquent-ament-index-cpp, ros-eloquent-geometry-msgs, ros-eloquent-interactive-markers, ros-eloquent-laser-geometry, ros-eloquent-map-msgs, ros-eloquent-nav-msgs, ros-eloquent-pluginlib, ros-eloquent-rclcpp, ros-eloquent-resource-retriever, ros-eloquent-rviz-common, ros-eloquent-rviz-rendering, ros-eloquent-rviz-rendering-tests, ros-eloquent-rviz-visual-testing-framework, ros-eloquent-tf2, ros-eloquent-tf2-geometry-msgs, ros-eloquent-tf2-ros, ros-eloquent-tinyxml-vendor, ros-eloquent-urdf, ros-eloquent-visualization-msgs, ros-eloquent-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-eloquent-rviz-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-eloquent-geometry-msgs, ros-eloquent-interactive-markers, ros-eloquent-laser-geometry, ros-eloquent-map-msgs, ros-eloquent-nav-msgs, ros-eloquent-pluginlib, ros-eloquent-rclcpp, ros-eloquent-resource-retriever, ros-eloquent-rviz-common, ros-eloquent-rviz-rendering, ros-eloquent-tf2, ros-eloquent-tf2-geometry-msgs, ros-eloquent-tf2-ros, ros-eloquent-tinyxml-vendor, ros-eloquent-urdf, ros-eloquent-visualization-msgs, ros-eloquent-ros-workspace
Description: Several default plugins for rviz to cover the basic functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rviz-default-plugins//opt/ros/eloquent/lib/:$(CURDIR)/debian/ros-eloquent-rviz-default-plugins//opt/ros/eloquent/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:/opt/ros/eloquent/lib/:/opt/ros/eloquent/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:$(CURDIR)/debian/ros-eloquent-rviz-default-plugins//opt/ros/eloquent/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-eloquent-rviz-default-plugins//opt/ros/eloquent/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-eloquent-rviz-default-plugins//opt/ros/eloquent/opt/rviz_yaml_cpp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
